Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rsa.ace.techservice.udpserver
Class AceDatagram

    java.lang.Object
      com.rsa.ace.techservice.udpserver.AceDatagram

All Implemented Interfaces:
  java.io.Serializable

    public class AceDatagram

extends java.lang.Object
implements java.io.Serializable

This class represents an Ace Datagram Packet exception.

This exception occurs when a generated response is placed in the set of previous responses. This should never occur as a duplicate request should have been sent the old response.

This is an internal error exception.

See Also:
  Serialized Form

Constructor Summary
`AceDatagram()` Default constructor for AceDatagram.
`AceDatagram(byte[] data, int dataLength)` Constructor for AceDatagram (incoming packets).
`AceDatagram(byte[] data, int dataLength, java.net.InetAddress address, int port)` Constructor for AceDatagram.

Method Summary
`java.net.InetAddress` | `getAddress()` This method gets the address of the datagram packet.
`byte[]` | `getData()` Constructor for AceDatagram (incoming packets).
`java.net.DatagramPacket` | `getDatagramPacket()` Constructor for AceDatagram (incoming packets).
`int` | `getLength()` Constructor for AceDatagram (incoming packets).
`int` | `getPort()` This method gets the port of the datagram packet.
`void` | `setAddress(java.net.InetAddress address)`
`void` | `setPort(int port)`
`java.lang.String` | `toString()` Converts th datagram into a string representation.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AceDatagram

    public AceDatagram()

  Default constructor for AceDatagram.

### AceDatagram

    public AceDatagram(byte[] data,
                       int dataLength,
                       java.net.InetAddress address,
                       int port)
                throws AcePacketException

  Constructor for AceDatagram.

  Parameters:
    `data` - The data into or from the packet will be created.
    `dataLength` - The packet length. This may be different than the actual size of the data array buffer.
    `address` - The address to which a packet will be sent. If both this is null and port is zero, then an 'incoming' datagram is created.
    `port` - The port to which data will be sent. May be zero if address is null.
  Throws:
    `AcePacketException`

### AceDatagram

    public AceDatagram(byte[] data,
                       int dataLength)
                throws AcePacketException

  Constructor for AceDatagram (incoming packets).

  Parameters:
    `data` - The data into or from the packet will be created.
    `dataLength` - The packet length. This may be different than the actual size of the data array buffer.
  Throws:
    ``
    `AcePacketException`

Method Detail

### getDatagramPacket

    public java.net.DatagramPacket getDatagramPacket()
                                              throws AcePacketException

  Constructor for AceDatagram (incoming packets).

  Parameters:
    `data` - The data into or from the packet will be created.
    `dataLength` - The packet length. This may be different than the actual size of the data array buffer.
  Throws:
    ``
    `AcePacketException`

### getAddress

    public java.net.InetAddress getAddress()

  This method gets the address of the datagram packet.

### getPort

    public int getPort()

  This method gets the port of the datagram packet.

### getData

    public byte[] getData()

  Constructor for AceDatagram (incoming packets).

  Parameters:
    `data` - The data into or from the packet will be created.
    `dataLength` - The packet length. This may be different than the actual size of the data array buffer.
  Throws:
    ``

### getLength

    public int getLength()

  Constructor for AceDatagram (incoming packets).

  Parameters:
    `data` - The data into or from the packet will be created.
    `dataLength` - The packet length. This may be different than the actual size of the data array buffer.
  Throws:
    ``

### toString

    public java.lang.String toString()

  Converts th datagram into a string representation.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    A string representation of the datagram.

### setAddress

    public void setAddress(java.net.InetAddress address)

  Parameters:
    `address` - The address to set.

### setPort

    public void setPort(int port)

  Parameters:
    `port` - The port to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999 - 2011 EMC Corporation. All Rights Reserved.